import React from 'react';
import styled from 'styled-components';

const Sleep = () => {
  return (
    <Svg
      xmlns="http://www.w3.org/2000/svg"
      width="117"
      height="100"
      viewBox="0 0 117 100"
    >
      <g fill="none" fillRule="evenodd">
        <circle
          cx="49.182"
          cy="50.727"
          r="49.182"
          fill="#ECE6CE"
          fillRule="nonzero"
        />
        <path
          fill="#D6CEAF"
          fillRule="nonzero"
          d="M59.722 92.649c-27.163 0-49.183-22.02-49.183-49.183 0-14.512 6.287-27.554 16.284-36.556C10.9 15.051 0 31.616 0 50.727 0 77.89 22.02 99.909 49.182 99.909c12.651 0 24.185-4.778 32.9-12.626a48.974 48.974 0 0 1-22.36 5.366z"
        />
        <path
          fill="#F0918F"
          d="M28.896 63.98h-3.905a.99.99 0 1 1 0-1.98h3.905a.99.99 0 1 1 0 1.98zM86.287 63.98h-3.905a.99.99 0 1 1 0-1.98h3.905a.99.99 0 1 1 0 1.98z"
        />
        <g fillRule="nonzero" transform="translate(29.545 49.773)">
          <path
            fill="#191919"
            d="M12.656 7.07C7.79 7.07 3.394 5.825.896 3.74A2 2 0 0 1 3.461.668c1.747 1.459 5.356 2.4 9.195 2.4 3.747 0 7.406-.96 9.32-2.445a2.001 2.001 0 0 1 2.454 3.162C21.778 5.842 17.377 7.07 12.656 7.07zM47.362 7.07c-4.866 0-9.262-1.245-11.76-3.33A2 2 0 0 1 38.167.668c1.747 1.459 5.356 2.4 9.195 2.4 3.747 0 7.406-.96 9.32-2.445a2.001 2.001 0 0 1 2.454 3.162C56.484 5.842 52.083 7.07 47.362 7.07z"
          />
          <circle cx="29.537" cy="29.328" r="8.203" fill="#F0918F" />
          <path
            fill="#191919"
            d="M23.072 34.378a8.203 8.203 0 1 1 12.875.07c-1.46-1.347-3.817-2.22-6.476-2.22-2.612 0-4.933.843-6.399 2.15z"
          />
        </g>
        <g fill="#F0918F" fillRule="nonzero">
          <path d="M59.406 43.263a2 2 0 0 1-1.892-2.654l2.211-6.403-4.227 2.243a2 2 0 0 1-1.876-3.535l8.715-4.624a2.002 2.002 0 0 1 2.83 2.42l-2.306 6.674 3.461-1.661a2.001 2.001 0 0 1 1.731 3.608l-7.783 3.734c-.275.133-.57.198-.864.198zM78.979 34.353a1.999 1.999 0 0 1-1.892-2.654l3.837-11.108-7.887 4.185a2.001 2.001 0 0 1-1.876-3.535l12.374-6.566a2.002 2.002 0 0 1 2.83 2.42L82.46 28.4l8.396-4.147a2 2 0 0 1 1.772 3.588l-12.763 6.305c-.282.139-.585.207-.886.207zM100.374 24.231a2 2 0 0 1-1.892-2.654l5.297-15.337-11.176 5.93a2.001 2.001 0 0 1-1.876-3.535L106.39.324a2.002 2.002 0 0 1 2.829 2.42l-5.391 15.608 9.667-4.639a2.001 2.001 0 0 1 1.731 3.608l-13.989 6.713c-.275.132-.57.197-.864.197z" />
        </g>
      </g>
    </Svg>
  );
};

const Svg = styled.svg`
  display: inline-block;
  justify-self: center;
`;

export { Sleep };
